%define full_name jakarta-servletapi

Name: servletapi5
Version: 5.0.28
Release: alt2

Summary: Java servlet and JSP implementation classes
Url: http://jakarta.apache.org/tomcat
License: Apache License
Group: Networking/WWW

Source: %full_name-5.tar.bz2
BuildArch: noarch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant
Requires: java-common

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).

%package javadoc
Group: Development/Java
Summary: Javadoc for %name
Requires: java-common

%description javadoc
Javadoc generated Documentation for %name.

%prep
%setup -q -n %full_name-5

%build
# Fix us a license file first
cp -f jsr154/LICENSE .

find . -type f -name "*.jar" -exec rm -f {} \;

pushd .
cd jsr154
%__ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd

pushd .
cd jsr152
%__ant dist -Dservletapi.build=build -Dservletapi.dist=dist
popd

%install
#cd %full_name-5
# jars
install -d -m 755 %buildroot%_javadir

install -m 644 jsr152/dist/lib/jsp-api.jar %buildroot%_javadir/jspapi5.jar
install -m 644 jsr154/dist/lib/servlet-api.jar %buildroot%_javadir/%name.jar

# javadoc jsp
install -d -m 755 %buildroot%_javadocdir/jsp-api-5
cp -pr jsr152/build/docs/api/* %buildroot%_javadocdir/jsp-api-5

# javadoc servlet
install -d -m 755 %buildroot%_javadocdir/%name
cp -pr jsr154/build/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE
%_javadir/*

%files javadoc
%doc %_javadocdir/%name
%doc %_javadocdir/jsp-api-5

%changelog
* Thu Mar 24 2005 Vladimir Lettiev <crux@altlinux.ru> 5.0.28-alt2
- rpm-build-java macroces

* Sat Sep 11 2004 Vladimir Lettiev <crux@altlinux.ru> 5.0.28-alt1
- 5.0.28
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Jan 23 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:5.0.18-1jpp
- Update to 5.0.18

* Wed Jan 21 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:5.0.16-2jpp
- Provide servlet, servlet5 and servlet24 (suggestion by Ralph Apel)

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:5.0.16-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> 0:5.0.16-0.2
- First build for internal use only
- Alternatives aren't enabled
- Was unable to figure out how to combine the javadoc trees so they
  stay separate
- Don't obsolete servletapi4 for now
